Loading...
Searching...
No Matches
Coord.h File Reference
`#include <functional>`
`#include <algorithm>`
`#include <array>`
`#include <iostream>`
`#include <limits>`
`#include <openvdb/Platform.h>`
`#include "Math.h"`
`#include "Vec3.h"`
`#include <tbb/blocked_range.h>`

Go to the source code of this file.

## Classes

class | Coord
| Signed (x, y, z) 32-bit integer coordinates. More...
class | CoordBBox
| Axis-aligned bounding box of signed integer coordinates. More...
class | CoordBBox::Iterator< ZYXOrder >
| Iterator over the Coord domain covered by a CoordBBox. More...

## Namespaces

namespace | openvdb
namespace | openvdb::v11_0
namespace | openvdb::v11_0::math
namespace | std

## Functions

std::ostream & | operator<< (std::ostream &os, const Coord &xyz)
Coord | Abs (const Coord &xyz)
template<typename T >
Vec3< typename promote< T, typename Coord::ValueType >::type > | operator+ (const Vec3< T > &v0, const Coord &v1)
| Allow a Coord to be added to or subtracted from a Vec3.
template<typename T >
Vec3< typename promote< T, typename Coord::ValueType >::type > | operator+ (const Coord &v1, const Vec3< T > &v0)
template<typename T >
Vec3< typename promote< T, Coord::ValueType >::type > | operator- (const Vec3< T > &v0, const Coord &v1)
| Allow a Coord to be subtracted from a Vec3.
template<typename T >
Vec3< typename promote< T, Coord::ValueType >::type > | operator- (const Coord &v1, const Vec3< T > &v0)
std::ostream & | operator<< (std::ostream &os, const CoordBBox &b)